/* ----------------- Styles globaux inherited from global stylsheet----------------- */

/* ----------------- En tete ----------------- */
.aeris-header {
    position: relative;
    background: url('assets/images/AERIS_space_header.jpg') center/cover no-repeat;
    height: 35vh; max-height: 35vh; min-height: 35vh; /*thhis willbe a problem later but atm its wokring*/
    display: flex;
    align-items: center;
    justify-content: center;
    color: #fff;
}

.aeris-header .overlay {
    background-color: rgba(0,0,0,0.5);
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.aeris-header h1 {
    margin: 0;
    font-size: 2.5rem;
}

.aeris-header p {
    margin-top: 10px;
    font-size: 1.2rem;
}

/* ----------------- Section Magazines ----------------- */
.presentation {
    padding: 40px 20px;
    text-align: center;
}

.presentation h2 {
    font-size: 2rem;
    margin-bottom: 25px;
}

/* ----------------- Section Carte ----------------- */
.map-section {
    padding: 40px 20px;
    text-align: center;
}

.map-section h2 {
    font-size: 2rem;
    margin-bottom: 20px;
}

#map {
    height: 500px;
    width: 100%;
    max-width: 1100px;
    margin: 20px auto;
    border-radius: 12px;
    box-shadow: 0 10px 25px rgba(0,0,0,0.15);
}

/* ----------------- Footer will be inherited from global stlyeshet----------------- */
/* ----------------- Responsive ----------------- */
@media (max-width: 768px) {
    nav ul {
        flex-direction: column;
    }
    nav ul li {
        margin: 5px 0;
    }
    .aeris-header h1 {
        font-size: 2rem;
    }
    .aeris-header p {
        font-size: 1rem;
    }
}